Subject: Problems with fcc_enet driver for MPC8248 (2.6.12)

From: Carlos Munoz <[email-masked]>
Date: Thu, 17 Nov 2005 15:39:59 -0800

I'm working on an embedded board that is currently running kernel 2.4.28 
without any problems. However, I am trying to upgrade from kernel 2.4.28 
to kernel 2.6.12 and I'm unable to get the fcc_enet driver to work 
properly.
The fcc ports are connected to ethernet phy devices. The receive and 
transmitted data out of the ethernet phy devices is all 0xff.

I tried using the fcc_enet driver from the 2.4.28 kernel on the 2.6.12 
kernel but get the same results. This leads me to believe that the core 
initialization of the MPC8248 has changed on kernel 2.6.12.

Has anyone got the  fcc ports to work properly on the 2.6.12 kernel ? If 
yes, how ? Did the MPC8248 core initialization change ?

Thanks,

Carlos Munoz